RedHat 5 initscript condrestart not working

12/06/2012 07:25 AM - Frederik Nosi

Status: Resolved   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I noticed that a day after foreman has been started the log file gets deleted and not replaced. Torned out the logrotate script was

rotatinng the log correctly and then calling the initscript with condrestart:

file /etc/logrotate.d/foreman:

[...]

postrotate

[ -e /etc/init.d/foreman ] && /etc/init.d/foreman condrestart >/dev/null 2>&1 || true

[...]

but condrestart wasn't working as expected. This fixes it for me:

1. diff u /root/foreman /etc/init.d/foreman

-- /root/foreman       2012-12-06 13:10:47.000000000 0100

++ /etc/init.d/foreman 2012-12-06 13:11:06.000000000 0100

@ -134,7 +134,7 @

;;

condrestart)

if [ f ${FOREMAN_HOME}/tmp/pids/server.pid ]; then

restart

/etc/init.d/foreman restart

RETVAL=$?

fi

;;

Associated revisions

Revision 7fdb50e3 - 12/06/2012 10:28 AM - Dominic Cleal

fixes #2019 - condrestart error when standalone

Also restarts when configured with Thin.

Revision 32c3420b - 01/25/2013 10:05 AM - Dominic Cleal

Fixes #2019 - condrestart error when standalone

History

#1 - 12/06/2012 10:36 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

Thanks for the report and patch.  I've gone a bit further and submitted this: https://github.com/theforeman/foreman-rpms/pull/19

#2 - 01/08/2013 12:25 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing
#3 - 01/25/2013 10:07 AM - Dominic Cleal

- Status changed from Ready For Testing to Resolved

- Target version set to 1.1
